GET /virtualservice/{uuid}/placement/summary/

GET /virtualservice/{uuid}/placement/summary/

/virtualservice/{uuid}/placement/summary/

Request
URI
GET
https://{api_host}/api/virtualservice/{uuid}/placement/summary
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeConsumerSummary of type(s) application/json
{
    "assigned_se_uuids": [
        "string"
    ],
    "availability_zone": "string",
    "cloud_ready": false,
    "cloud_uuid": "string",
    "disabled": false,
    "enable_rhi": false,
    "enable_rhi_snat": false,
    "ign_pool_net_reach": false,
    "num_se_requested": 0,
    "num_se_standby_requested": 0,
    "parent": {
        "vip_id": "string",
        "vs_uuid": "string"
    },
    "placement_ineligible_reason": "string",
    "placement_ineligible_reason_str": "string",
    "placement_ineligible_timestamp": {
        "secs": 0,
        "usecs": 0
    },
    "resources_ineligible_counts": [
        {
            "count": 0,
            "placement_ineligible_reason": "string",
            "timestamp": {
                "secs": 0,
                "usecs": 0
            }
        }
    ],
    "scaleout_ecmp": false,
    "se_group_uuid": "string",
    "servers": [
        {
            "pool_uuid": "string",
            "server_ip": {
                "addr": "string",
                "type": "string"
            },
            "subnet": [
                {
                    "ip_addr": {
                        "addr": "string",
                        "type": "string"
                    },
                    "mask": 0
                }
            ],
            "virtual_network_id": [
                "string"
            ]
        }
    ],
    "state": "string",
    "tenant_uuid": "string",
    "traffic_enabled": false,
    "vip": {
        "networks": [
            {
                "network_ref": "string",
                "subnet": [
                    {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    }
                ],
                "subnet6": [
                    {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    }
                ]
            }
        ],
        "prefix_length": 0,
        "vip": {
            "addr": "string",
            "type": "string"
        },
        "vip6": {
            "addr": "string",
            "type": "string"
        }
    },
    "vip_id": "string",
    "vrf_context_uuid": "string",
    "vs_uuid": "string"
}
array of string
assigned_se_uuids
Optional

SEs on which VS is placed. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
availability_zone
Optional

Availability zone. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
cloud_ready
Optional

Cloud ready. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cloud_uuid
Optional

Cloud UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
disabled
Optional

Disabled. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
enable_rhi
Optional

Enable route health injection. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
enable_rhi_snat
Optional

Enable route health injection for SNAT IP. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
ign_pool_net_reach
Optional

Ignore pool network reachability. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_se_requested
Optional

Number of SEs requested. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_se_standby_requested
Optional

Number of standby SEs requested. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
parent
Optional

parent

string
placement_ineligible_reason
Optional

Placement ineligible reason. Enum options - PLACEMENT_INELIGIBLE_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_SE_GRP_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_CLOUD_NOT_READY, PLACEMENT_INELIGIBLE_CLOUD_API_NOT_READY, PLACEMENT_INELIGIBLE_VS_ELIGIBLE, PLACEMENT_INELIGIBLE_MULTIPLE_SE_CRASHES, PLACEMENT_INELIGIBLE_SPAWN_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_SPAWN_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_BOOTUP_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_VNIC_IP_FAIL, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_VIP_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_SRVR_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_NO_VIP_NETWORK, PLACEMENT_INELIGIBLE_NO_SRVR_NETWORK, PLACEMENT_INELIGIBLE_VIP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_SRVR_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_BGP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_OTHER_SHARED_VIP_VS_PENDING, PLACEMENT_INELIGIBLE_OTHER_ACTIVE_STANDBY_VS_PENDING, PLACEMENT_INELIGIBLE_CONCURRENT_SE_CREATION_LIMIT, PLACEMENT_INELIGIBLE_SE_ELIGIBLE, PLACEMENT_INELIGIBLE_SE_DISABLED, PLACEMENT_INELIGIBLE_SE_DOWN, PLACEMENT_INELIGIBLE_SE_GATEWAY_DOWN, PLACEMENT_INELIGIBLE_SE_DISCONNECTED, PLACEMENT_INELIGIBLE_SE_MAX_VS_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_SE_DEL_PENDING, PLACEMENT_INELIGIBLE_SE_GRP_REBOOT_PENDING, PLACEMENT_INELIGIBLE_NO_FRONTEND_REACH, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH, PLACEMENT_INELIGIBLE_NO_FRONTEND_BACKEND_REACH, PLACEMENT_INELIGIBLE_MAX_VNIC_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_MAX_IPS_PER_VNIC_LIMIT, PLACEMENT_INELIGIBLE_AZ_MISMATCH, PLACEMENT_INELIGIBLE_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_VNIC_DISABLED, PLACEMENT_INELIGIBLE_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_GCP_VNIC_NOT_ETH0, PLACEMENT_INELIGIBLE_SNI_CONSTRAINTS, PLACEMENT_INELIGIBLE_ACTIVE_STANDBY_CONSTRAINTS, PLACEMENT_INELIGIBLE_SHARED_VIP_CONSTRAINTS, PLACEMENT_INELIGIBLE_OTHER_VIP_ON_VS_PENDING, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_SE_HOST_NO_NETWORK_CONNECTIVITY, PLACEMENT_INELIGIBLE_INSUFFICIENT_VNIC_SLOTS, PLACEMENT_INELIGIBLE_EXCLUDED_IP_CANDIDATE, PLACEMENT_INELIGIBLE_CON_IDLE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_CON_IDLE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_IP_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_IP_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_HOST_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISABLED. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
placement_ineligible_reason_str
Optional

Placement ineligible reason string. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
placement_ineligible_timestamp
Optional

placement_ineligible_timestamp

array of object
resources_ineligible_counts
Optional

Count of ineligible SEs for this VS for each reason. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
scaleout_ecmp
Optional

Scaleout ECMP. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_group_uuid
Optional

SE group UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
servers
Optional

Servers. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
state
Optional

State. Enum options - IDLE, AWAITING_QUERY_HOST, AWAITING_SE_CREATE, AWAITING_SE_BOOTUP, AWAITING_VNIC_ADD, AWAITING_VNIC_IP, AWAITING_ATTACH_IP, AWAITING_PING_RSP, AWAITING_CHECK_SE, AWAITING_CHECK_CREATE_SE, AWAITING_LICENSE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_uuid
Optional

Tenant UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
traffic_enabled
Optional

Traffic enabled. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
vip
Optional

vip

string
vip_id
Optional

VIP ID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vrf_context_uuid
Optional

VRF context UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vs_uuid
Optional

VS UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/placement/summary
                
Virtual Service Operations
GET
GET /virtualservice
POST
POST /virtualservice
GET
GET /virtualservice/{uuid}
PUT
PUT /virtualservice/{uuid}
PATCH
PATCH /virtualservice/{uuid}
DELETE
DELETE /virtualservice/{uuid}
POST
POST /virtualservice/{uuid}/scaleout
POST
POST /virtualservice/{uuid}/scalein
POST
POST /virtualservice/{uuid}/migrate
POST
POST /virtualservice/{uuid}/switchover
POST
POST /virtualservice/clear
POST
POST /virtualservice/{uuid}/resync
POST
POST /virtualservice/{uuid}/rotatekeys
POST
POST /virtualservice/{uuid}/retryplacement
POST
POST /virtualservice/{uuid}/log-recommendation
POST
POST /virtualservice/{uuid}/apply-log-recommendation
GET
GET /virtualservice/{uuid}/runtime/
GET
GET /virtualservice/{uuid}/runtime/detail/
GET
GET /virtualservice/{uuid}/runtime/internal/
GET
GET /virtualservice/{uuid}/udpstat/
GET
GET /virtualservice/{uuid}/tcpstat/
GET
GET /virtualservice/{uuid}/sctpstat/
GET
GET /virtualservice/{uuid}/traffic_clone_stats/
GET
GET /virtualservice/{uuid}/dosstat/
GET
GET /virtualservice/{uuid}/connections/
GET
GET /virtualservice/{uuid}/httpconnections/
GET
GET /virtualservice/{uuid}/httpconnections/detail/
GET
GET /virtualservice/{uuid}/httpstats/
GET
GET /virtualservice/{uuid}/authstats/
GET
GET /virtualservice/{uuid}/learningstats/
GET
GET /virtualservice/{uuid}/httppolicyset/
GET
GET /virtualservice/{uuid}/httppolicysetstats/
GET
GET /virtualservice/{uuid}/dnspolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicy/detail/
GET
GET /virtualservice/{uuid}/candidatesehostlist/
GET
GET /virtualservice/{uuid}/placement/
GET
GET /virtualservice/{uuid}/keyval/
GET
GET /virtualservice/{uuid}/keyvalsummary/
GET
GET /virtualservice/{uuid}/keyvalsummaryobjsync/
GET
GET /virtualservice/{uuid}/keyvaldispatch/
GET
GET /virtualservice/{uuid}/keyvalsession/
GET
GET /virtualservice/{uuid}/keyvalsessionsummary/
GET
GET /virtualservice/{uuid}/sslsessioncache/
GET
GET /virtualservice/{uuid}/vslogstats/
GET
GET /virtualservice/{uuid}/aggrvslogstats/
GET
GET /virtualservice/{uuid}/cltrack/
GET
GET /virtualservice/{uuid}/cltracksummary/
GET
GET /virtualservice/{uuid}/client/
GET
GET /virtualservice/{uuid}/clientsummary/
GET
GET /virtualservice/{uuid}/dnstable/
GET
GET /virtualservice/{uuid}/gslbservicedetail/
GET
GET /virtualservice/{uuid}/gslbserviceinternal/
GET
GET /virtualservice/{uuid}/gslbservicealgostat/
GET
GET /virtualservice/{uuid}/gslbservicehmonstat/
GET
GET /virtualservice/{uuid}/geolocationinfo/
GET
GET /virtualservice/{uuid}/geodbinternal/
GET
GET /virtualservice/{uuid}/gslbsiteinternal/
GET
GET /virtualservice/{uuid}/userdefineddatascriptcounters/
GET
GET /virtualservice/{uuid}/l4policysetstats/
GET
GET /virtualservice/{uuid}/sescaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/detail/
GET
GET /virtualservice/{uuid}/ssopolicystats/
GET
GET /virtualservice/{uuid}/icapstats/
GET
GET /virtualservice/{uuid}/outofbandstats/
GET
GET /virtualservice/{uuid}/botstats/
GET
GET /virtualservice/{uuid}/csrfmetrics/
GET
GET /virtualservice/{uuid}/waapstats/
GET
GET /virtualservice/{uuid}/apipathstats/
GET
GET /virtualservice/{uuid}/waappathtree/
GET
GET /virtualservice/{uuid}/placement/summary/
GET
GET /virtualservice/{uuid}/placement/detail/
GET
GET /virtualservice/{uuid}/placement/status/
GET
GET /virtualservice/{uuid}/keyvalstats/
GET
GET /virtualservice/{uuid}/vhroutes/
GET
GET /virtualservice/{uuid}/overview/